using System;

namespace ConsoleApp2
{
    internal class Program
    {
        static int proveri(int[] a,int aa,int medijan)
        {
            Array.Sort(a);
            int b = a[aa / 2 + 1];
            if (b==medijan)
            {
                return 1;
            }
            return 0;
        }
        static void Main(string[] args)
        {
            int N, Q;
            string[] s=Console.ReadLine().Split(' ');
            N=int.Parse(s[0]);
            Q=int.Parse(s[1]);
            s = Console.ReadLine().Split(' ');
            int[] glasovi = new int[100];
            int[] a = new int[100]; a= glasovi;
            
            for (int i = 0; i < N; i++)
            {
                glasovi[i] = int.Parse(s[i]);
            }
            int[] slucajevi = new int[Q];
            
            s=Console.ReadLine().Split(' ');
            for (int i = 0;i<Q;i++)
            {
                slucajevi[i] = int.Parse(s[i]);
                
            }
            int j = 0;
            int doslodo=N;
            while (j<Q)
            {
                Array.Sort(a);
                int br = 0;
                a = glasovi;
                int medijan = a[doslodo / 2 + 1]; ;
                while (medijan != slucajevi[j])
                {
                    Array.Sort(a);
                    if (medijan<slucajevi[j])
                    {
                        int jh = slucajevi[j] + 1;
                        a[doslodo] = jh;
                        doslodo++;
                        br++;
                        if (proveri(a, doslodo, slucajevi[j])==1)
                        {
                            break;
                        }
                    }
                    else
                    {
                        a[doslodo] = slucajevi[j]-1;
                        doslodo++;
                        br++;
                        if (proveri(a, doslodo, slucajevi[j]) == 1)
                        {
                            break;
                        }
                    }
                }
                j++;
                doslodo = N;
                Console.WriteLine(br);

            }

        }

    }
}